web-dev-qa-db-de.com

Schema "Bibliothek" nicht in Sammlung "@ schematics/angle" gefunden

Beim Versuch, eine Bibliothek in eckiger Kli zu erstellen, wird die folgende Fehlermeldung angezeigt

Schematic "library" not found in collection "@schematics/angular".
Error: Schematic "library" not found in collection
"@schematics/angular".
    at SchematicEngine.createSchematic (/home/rafaelvicio/node-v8.9.3-linux-x64/lib/node_modules/@angular/cli/node_modules/@angular-devkit/schematics/src/engine/engine.js:143:23)
    at CollectionImpl.createSchematic (/home/rafaelvicio/node-v8.9.3-linux-x64/lib/node_modules/@angular/cli/node_modules/@angular-devkit/schematics/src/engine/collection.js:12:29)
    at Object.getSchematic (/home/rafaelvicio/node-v8.9.3-linux-x64/lib/node_modules/@angular/cli/utilities/schematics.js:47:23)
    at Class.run (/home/rafaelvicio/node-v8.9.3-linux-x64/lib/node_modules/@angular/cli/tasks/schematic-get-options.js:12:40)
    at Class.beforeRun (/home/rafaelvicio/node-v8.9.3-linux-x64/lib/node_modules/@angular/cli/commands/generate.js:101:31)
    at Promise.resolve.then (/home/rafaelvicio/node-v8.9.3-linux-x64/lib/node_modules/@angular/cli/ember-cli/lib/cli/cli.js:138:24)
    at <anonymous>

Befehl ng --version

zeigt das

Angular CLI: 1.7.4
Node: 8.9.3
OS: linux x64
Angular: 


node -v
v8.9.3

npm -v
5.5.1
6
Rafael Augusto

Bibliotheksunterstützung beginnt ab Angular cli Version 6 und höher ...

Bitte überprüfen Sie die Versionshinweise für weitere Informationen ...

1
Abinesh Devadas
npm i -g @schematics/angular 

aktualisiert Sie auf die neueste Version des Schaltplans. Auch wichtig, um Ihre Winkelkli zu aktualisieren: 

npm i -g @angular/cli
1
DonDaniel

Das hat für mich funktioniert:

npm i @schematics/angular

1
Joshua Craven